import { Component, ViewEncapsulation } from '@angular/core';
import { MonthService, DayService, WeekService, WorkWeekService, EventSettingsModel, ActionEventArgs } from '@syncfusion/ej2-ng-schedule';
import { UrlAdaptor, DataManager } from '@syncfusion/ej2-data';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
  providers: [DayService, WeekService, WorkWeekService, MonthService],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  public showQuickInfo: boolean = false;
  public selectedDate: Date = new Date(2018, 6, 25);
  private dataManger: DataManager = new DataManager({
    url: 'http://localhost:54738/Home/LoadData', // Here passing your REST WEB API load data method
    crudUrl: 'http://localhost:54738/Home/UpdateData',
    adaptor: new UrlAdaptor
  });
  public eventSettings: EventSettingsModel = { dataSource: this.dataManger };
}
